no required module provides package

no required module provides package github.com/satori/go.uuid: go.mod file not found in current directory or any parent directory; see ‘go help modules’

no required module provides package_命令行

原因

安装过go高版本

解决方式
go env -w GO111MODULE=auto

或者

go env -w GO111MODULE=off
GO111MODULE环境变量

GO111MODULE=off,无模块支持,go命令行将不会支持module功能,寻找依赖包的方式将会沿用旧版本那种通过vendor目录或者GOPATH模式来查找

GO111MODULE=on,模块支持,go命令行会使用modules,而一点也不会去GOPATH目录下查找

GO111MODULE=auto,默认值,go命令行将会根据当前目录来决定是否启用module功能。这种情况下可以分为两种情形:
(1)当前目录在GOPATH/src之外且该目录包含go.mod文件,开启模块支持。
(2)当前文件在包含go.mod文件的目录下面

参考文档

参考文档